Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface RegistryPackageQueryType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RegistryEntryQueryType, RegistryObjectQueryType

All Known Implementing Classes:
  RegistryPackageQueryTypeImpl

    public interface RegistryPackageQueryType

extends RegistryEntryQueryType

A representation of the model object 'Registry Package Query Type'.

The following features are supported:

- `Registry Package Filter`
- `Registry Object Query`
- `Registry Entry Query`

See Also:
  `QueryPackage.getRegistryPackageQueryType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getRegistryEntryQuery()` Returns the value of the 'Registry Entry Query' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRegistryObjectQuery()` Returns the value of the 'Registry Object Query' containment reference list.
`FilterType` | `getRegistryPackageFilter()` Returns the value of the 'Registry Package Filter' containment reference.
`void` | `setRegistryPackageFilter(FilterType value)` Sets the value of the '`Registry Package Filter`' containment reference.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryEntryQueryType
`getRegistryEntryFilter, setRegistryEntryFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._2._1.query.RegistryObjectQueryType
`getAuditableEventQuery, getClassifiedByBranch, getDescriptionBranch, getExternalIdentifierFilter, getNameBranch, getRegistryObjectFilter, getSlotBranch, getSourceAssociationBranch, getTargetAssociationBranch, setDescriptionBranch, setNameBranch, setRegistryObjectFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRegistryPackageFilter

    FilterType getRegistryPackageFilter()

  Returns the value of the 'Registry Package Filter' containment reference.

  If the meaning of the 'Registry Package Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Package Filter' containment reference.
  See Also:
    `setRegistryPackageFilter(FilterType)`, `QueryPackage.getRegistryPackageQueryType_RegistryPackageFilter()`

### setRegistryPackageFilter

    void setRegistryPackageFilter(FilterType value)

  Sets the value of the '`Registry Package Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Registry Package Filter' containment reference.
  See Also:
    `getRegistryPackageFilter()`

### getRegistryObjectQuery

    org.eclipse.emf.common.util.EList getRegistryObjectQuery()

  Returns the value of the 'Registry Object Query' containment reference list. The list contents are of type `RegistryObjectQueryType`.

  If the meaning of the 'Registry Object Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryPackageQueryType_RegistryObjectQuery()`

### getRegistryEntryQuery

    org.eclipse.emf.common.util.EList getRegistryEntryQuery()

  Returns the value of the 'Registry Entry Query' containment reference list. The list contents are of type `RegistryEntryQueryType`.

  If the meaning of the 'Registry Entry Query' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry Query' containment reference list.
  See Also:
    `QueryPackage.getRegistryPackageQueryType_RegistryEntryQuery()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD